import 'package:flutter/foundation.dart';

///
/// 路由路径枚举管理
///
enum RoutePath {
  PRICE_PAGE, //好价主页面
  PRICE_SEARCH_PAGE, //好价搜索页面
  PRICE_DETAIL_PAGE, //好价详情页面
  PRICE_DISCOUNT_PAGE, //好价更多优惠页面
}

///
/// 路由管理的扩展
///
extension RoutePathExt on RoutePath {
  String get name => describeEnum(this);
  String path() {
    return name.replaceAll("_", "/");
  }
}
