import 'package:flutter/foundation.dart';

abstract class IDSModel extends ChangeNotifier {
  ///
  /// 当前页面的状态[viewState]
  ///
  DSViewState viewState = DSViewState.idle;

  void notifyListener([bool notify = true]) {
    if (notify) {
      super.notifyListeners();
    }
  }
}

/// 页面状态类型
enum DSViewState {
  idle, //加载完成
  busy, //加载中
  empty, //无数据
  error, //加载失败
  unAuthorized, //未登录
}
